from hypothesis import Verbosity, given, settings

def cat(left: str, right: str) -> str:
    """ Concatenate two given strings.
    """
    return left + right


@given(...)
@settings(max_examples=10, verbosity=Verbosity.debug)
def test_cat(left: str, right: str) -> None:
    result = cat(left, right)
    assert result.startswith(left)
    assert result.endswith(right)
    assert len(result) == len(left) + len(right)
